GET /contacts/v1/attributeSets/name:{name}

Retrieves a collection of attribute value containers or the data rows of a specified attribute set by name.

URL Parameters 

NameTypeDescription
nameStringRequired. The name of the attribute set. Precede the value with name:.

Usage 

This call populates the ID, Key, and Name values for all items.

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /contacts/v1/attributeSets/name:Retail%20Orders
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

The response contains information about the requested attribute containers.

1{
2  "count": 200,
3  "page": 10,
4  "pageSize": 3,
5  "Id": "abe05aca-2c17-e311-bb14-00237d5401ce",
6  "Key": "Retail Orders",
7  "Name": "Retail Orders",
8  "SchemaId": "36E001F0-6B8F-E311-A274-08EDB9DDEBF0",
9  "_links": {
10    "self": { "href": "/attributeSets/{id}" },
11    "next": { "href": "/attributeSets/{id}?$page=11&$pageSize=3" },
12    "prev": { "href": "/attributeSets/{id}?$page=9&$pageSize=3" },
13    "attributeSetDefinition": {}
14  },
15  "items": [
16    {
17      "values": [
18        {
19          "id": "abe05acb-2c17-e311-bb14-00237d5401ce",
20          "key": "Customer Key",
21          "name": "Customer Key",
22          "value": "sgest@example.com"
23        },
24        {
25          "id": "abe05acd-2c17-e311-bb14-00237d5401ce",
26          "key": "Order Number",
27          "name": "Order Number",
28          "value": "123456"
29        },
30        {
31          "id": "abe05ace-2c17-e311-bb14-00237d5401ce",
32          "key": "Order Total",
33          "name": "Order Total",
34          "value": "177.99"
35        }
36      ]
37    }
38  ]
39}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!